import request from '/@/utils/request';

/**
 * 登录api接口集合
 * @method signIn 用户登录
 * @method signOut 用户退出登录
 */
export function useLoginApi() {
    return {
        // v1
        signIn: (params: object) => {
            return request({
                url: '/auth/login',
                method: 'post',
                data: params
            });
        },
        // v1
        signOut: (params: object) => {
            return request({
                url: '/user/signOut',
                method: 'post',
                data: params
            });
        }
    };
}
